/**
 * 
 */
package de.mpc.prolic.misc;

import java.util.ArrayList;

/**
 * @author Michael Kohl
 * This class stores all the permitted values for a given key in the ProLiC configuration file.
 */
public class PermittedValues {
	/*******************************************************************************
	 * Members
	 ******************************************************************************/
	private String key; 						//The key for an entry of the configuration file;
	private ArrayList <String> permittedValues; //All the permitted values for the key stored in the 'key' member.
	
	/**
	 * Empty constructor.
	 */
	public PermittedValues(){
		permittedValues=new ArrayList <String>();	
	}	
	
	/**
	 * Constructor that creates an instance of PermittedValues for a key given in the ProLiC configuration file.
	 */
	public PermittedValues(String key_) {
		key=key_;
		permittedValues=new ArrayList <String>();
	}
	
	/**
	 * Adding a value to the list of permitted values.
	 * @param value
	 */
	public void addValue(String value){
		permittedValues.add(value);
	}
	
	public ArrayList <String> getPermittedValues(){
		return this.permittedValues;
	}
	
	public String getKey(){
		return this.key;
	}

}
